Foreman - Bug #30025

Post login, strings at Monitor -> Dashboard screen, need to be marked as translatable strings

06/05/2020 11:05 AM - vijaykumar sawant

Status: Resolved

Priority: Normal

Assignee:

Category: Internationalization

Target version:

Difficulty: easy Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Description of problem: Non-localized strings found on page.

Version-Release number of selected component (if applicable): Version 2.1.0-develop

How reproducible: Always

Steps to Reproduce:

1.Login to foreman 2.1 instance with Japanese language.

2.Navigate to Monitor -> Dashboard, and scroll down page.

3.Look for English/un-localized string on page.

Actual results: Un-localized strings on page, Strings not marked as translated.

Expected results: Localized strings or strings should be marked as translated strings.

Additional info: Reported problem could be reproduced on other page as well.

History

#1 - 06/07/2020 08:33 AM - Tomer Brisker
- Priority changed from High to Normal

#2 - 06/09/2020 11:36 AM - vijaykumar sawant
- Found in Releases 2.1.0 added
- Found in Releases deleted (Nightly)

#3 - 06/17/2020 01:31 PM - Tomer Brisker
- Fixed in Releases deleted (2.1.0)

#4 - 11/20/2020 03:23 AM - vijaykumar sawant
- File Screenshot from 2020-11-20 08-53-19.png added

Same issue reproducible with Foreman 2.3 RC1

#5 - 04/16/2021 10:30 AM - Amit Upadhye

- Status changed from New to Resolved

vijaykumar sawant wrote:
Description of problem: Non-localized strings found on page.

Version-Release number of selected component (if applicable): Version 2.1.0-develop
How reproducible: Always

Steps to Reproduce:

1.Login to foreman 2.1 instance with Japanese language.

2.Navigate to Monitor -> Dashboard, and scroll down page.

3.Look for English/un-localized string on page.

Actual results: Un-localized strings on page, Strings not marked as translated.

Expected results: Localized strings or strings should be marked as translated strings.

Additional info: Reported problem could be reproduced on other page as well.

| dont see this issue on 2.4+ builds.
vijaykumar sawant wrote:
Description of problem: Non-localized strings found on page.
Version-Release number of selected component (if applicable): Version 2.1.0-develop
How reproducible: Always
Steps to Reproduce:
1.Login to foreman 2.1 instance with Japanese language.
2.Navigate to Monitor -> Dashboard, and scroll down page.
3.Look for English/un-localized string on page.
Actual results: Un-localized strings on page, Strings not marked as translated.

Expected results: Localized strings or strings should be marked as translated strings.

Additional info: Reported problem could be reproduced on other page as well.

| dont see this issue on 2.4, accordingly closing this issue.

Files
TS1-String-NOT-marked-as-translated.png 155 KB 06/05/2020 vijaykumar sawant
Screenshot from 2020-11-20 08-53-19.png 173 KB 11/20/2020 vijaykumar sawant

05/17/2024

22


http://www.tcpdf.org

